Package org.eclipse.swt.accessibility

## Class AccessibleEditableTextEvent

- java.lang.Object
- - SWTEventObject
  - - org.eclipse.swt.accessibility.AccessibleEditableTextEvent

    public class AccessibleEditableTextEvent
    extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleEditableText messages to an accessible object.

Since:
  1.4
See Also:
  `AccessibleEditableTextListener`, `AccessibleEditableTextAdapter`

### Field Summary

Fields
`int` `end` [in] 0-based ending offset of the character range to perform the operation on
`java.lang.String` `result` [out] Set this field to `ACC.OK` if the operation was completed successfully, and null otherwise.
`int` `start` [in] 0-based start offset of the character range to perform the operation on
`java.lang.String` `string` [in] a string that will replace the specified character range

### Constructor Summary

Constructors
`AccessibleEditableTextEvent​(java.lang.Object source)` Constructs a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### start

    public int start

[in] 0-based start offset of the character range to perform the operation on

See Also:
  `AccessibleEditableTextListener.copyText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.cutText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.pasteText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

#### end

    public int end

[in] 0-based ending offset of the character range to perform the operation on

See Also:
  `AccessibleEditableTextListener.copyText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.cutText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

#### string

    public java.lang.String string

[in] a string that will replace the specified character range

See Also:
  `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

#### result

    public java.lang.String result

[out] Set this field to `ACC.OK` if the operation was completed successfully, and null otherwise.

See Also:
  `AccessibleEditableTextListener.copyText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.cutText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.pasteText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`, `AccessibleEditableTextListener.replaceText(org.eclipse.swt.accessibility.AccessibleEditableTextEvent)`

### Constructor Detail

#### AccessibleEditableTextEvent

    public AccessibleEditableTextEvent​(java.lang.Object source)

Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event